edu.msu.cme.rdp.classifier.train.validation

## Class DecisionMaker

- java.lang.Object
- - edu.msu.cme.rdp.classifier.train.validation.DecisionMaker

    public class DecisionMaker
    extends java.lang.Object

### Field Summary

Fields
`static int` `NUM_OF_RUNS`

### Constructor Summary

Constructors
Constructor and Description
`DecisionMaker(TreeFactory factory)` Creates new DecisionMaker

### Method Summary

Methods
`java.util.List<ValidationClassificationResult>` `getBestClasspath(edu.msu.cme.rdp.readseq.utils.orientation.GoodWordIterator iterator, java.util.HashMap<java.lang.String,HierarchyTree> nodeMap, boolean useSeed, int min_bootstrap_words)` For each sequence, find the best class among the list of genera using all the overlapping words.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NUM_OF_RUNS

    public static final int NUM_OF_RUNS

See Also:
  Constant Field Values

### Constructor Detail

#### DecisionMaker

    public DecisionMaker(TreeFactory factory)

Creates new DecisionMaker

### Method Detail

#### getBestClasspath

    public java.util.List<ValidationClassificationResult> getBestClasspath(edu.msu.cme.rdp.readseq.utils.orientation.GoodWordIterator iterator,
                                                                  java.util.HashMap<java.lang.String,HierarchyTree> nodeMap,
                                                                  boolean useSeed,
                                                                  int min_bootstrap_words)
                                                                    throws java.io.IOException

For each sequence, find the best class among the list of genera using all the overlapping words. Then select a subset of words to get the assignment, repeats 100 times, count the number of votes

Throws:
  `java.io.IOException`